# -*- coding: utf-8 -*-
# mypy: disable-error-code="import"
# pylint: disable=import-error
"""Pipfile helpers."""

import typing as t
from pathlib import Path

from aea.configurations.data_types import Dependency as PyPiDependency


PIPFILE = "Pipfile"
DEFAULT_PIPFILE = """# This file is auto-generated by compose CLI tool

[[source]]
url = "https://pypi.org/simple"
verify_ssl = true
name = "pypi"

[packages]
{dependencies}

[dev-packages]
# Add development dependencies here
"""


def init_pipfile(wd: Path, core_dependencies: t.List[PyPiDependency]) -> None:
    """Initialize Pipfile"""
    dependencies = ""
    for dep in core_dependencies:
        dependencies += dep.to_pipfile_string() + "\n"
    (wd / PIPFILE).write_text(DEFAULT_PIPFILE.format(dependencies=dependencies[:-1]))
